package com.ejie.aa20b.model;

public class TablaPlanificacion implements java.io.Serializable {
	private static final long serialVersionUID = 1L;

	private Long idmaquina;
	private String gama;
	private String edificio;
	private String zona;
	private String planta;
	private String descripcion;
	private String[] arraySemana;
	private String[] arraySemanaColor;
	private String codigoMaq;

	public void setIdmaquina(Long idmaquina) {
		this.idmaquina = idmaquina;
	}

	public Long getIdmaquina() {
		return idmaquina;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setArraySemana(String[] arraySemana) {
		this.arraySemana = arraySemana;
	}

	public String[] getArraySemana() {
		return arraySemana;
	}

	public void setGama(String gama) {
		this.gama = gama;
	}

	public String getGama() {
		return gama;
	}

	public void setEdificio(String edificio) {
		this.edificio = edificio;
	}

	public String getEdificio() {
		return edificio;
	}

	public void setZona(String zona) {
		this.zona = zona;
	}

	public String getZona() {
		return zona;
	}

	public void setPlanta(String planta) {
		this.planta = planta;
	}

	public String getPlanta() {
		return planta;
	}

	public void setCodigoMaq(String codigoMaq) {
		this.codigoMaq = codigoMaq;
	}

	public String getCodigoMaq() {
		return codigoMaq;
	}

	public void setArraySemanaColor(String[] arraySemanaColor) {
		this.arraySemanaColor = arraySemanaColor;
	}

	public String[] getArraySemanaColor() {
		return arraySemanaColor;
	}

}
